A high-performance general-purpose compute library

- Main Page
- Tutorials
- Release Notes
- Examples

Functions
setBackend
ArrayFire Functions | ArrayFire Functions by Category » Unified API Functions

Set the current backend when using Unified backend More...

## Functions
AFAPI af_err | af_set_backend (const af_backend bknd)
AFAPI void | setBackend (const Backend bknd)

## Detailed Description

Set the current backend when using Unified backend

This is a noop when using one of CPU, CUDA, or OpenCL backend.

However, when using on of those 3 but trying to set it to a different backend will return in an exception.

## Function Documentation

## ◆ af_set_backend()

AFAPI af_err af_set_backend | ( | const af_backend | bknd | ) |

Parameters

  [in] | bknd | takes one of the values of enum af_backend

Returns
  af_err error code

## ◆ setBackend()

AFAPI void setBackend | ( | const Backend | bknd | ) |

Parameters

  [in] | bknd | takes one of the values of enum af_backend

Examples
  unified/basic.cpp.